Bug 959172 - Review Request: python-django-post_office - Allows you to log email activities and send mail asynchronously, complete with template support.
Summary: Review Request: python-django-post_office - Allows you to log email activitie...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-03 09:39 UTC by Ankur Sinha (FranciscoD)
Modified: 2013-05-24 20:39 UTC (History)
3 users (show)

Fixed In Version: python-django-post_office-0.3.1-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-21 08:35:59 UTC
mrunge: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2013-05-03 09:39:49 UTC
Spec URL: http://ankursinha.fedorapeople.org/python-django-post_office/python-django-post_office.spec
SRPM URL: http://ankursinha.fedorapeople.org/python-django-post_office/python-django-post_office-0.3.1-1.fc20.src.rpm

Description: 
Django Post Office is a simple app that allows you to send email asynchronously
in Django. Supports HTML email, database backed templates and logging.

``post_office`` is implemented as a Django ``EmailBackend`` so you don't need
to change any of your code to start sending email asynchronously.

Fedora Account System Username: ankursinha

Comment 1 Matthias Runge 2013-05-03 10:32:52 UTC
some nitpicking:
requires: either python2-devel or python3-devel, but not python-devel
It depends also on python-django, right? 
Currently, we have two for rawhide: python-django (which is django-1.5) and python-django14

Comment 2 Matthias Runge 2013-05-03 10:36:25 UTC
please also execute tests:
 tests/run_tests.py

and remove the bundled egg-info.

Comment 3 Ankur Sinha (FranciscoD) 2013-05-05 02:32:19 UTC
Hi Matthias,

New spec/srpm:

http://ankursinha.fedorapeople.org/python-django-post_office/python-django-post_office.spec

http://ankursinha.fedorapeople.org/python-django-post_office/python-django-post_office-0.3.1-2.fc20.src.rpm

* Fri May 03 2013 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.3.1-2
- Update spec as per review: 959172
- Run tests
- add python-django as requires
- remove bundled egg info


Thanks,
Warm regards,
Ankur

Comment 4 Matthias Runge 2013-05-06 06:25:56 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 26 files have unknown license. Detailed output of
     licensecheck in /home/mrunge/review/959172-python-django-
     post_office/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-django-post_office-0.3.1-2.fc20.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-django-post_office
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-django-post_office (rpmlib, GLIBC filtered):
    python(abi)
    python-django



Provides
--------
python-django-post_office:
    python-django-post_office



Source checksums
----------------
https://pypi.python.org/packages/source/d/django-post_office/django-post_office-0.3.1.tar.gz :
  CHECKSUM(SHA256) this package     : 05ee76837955f78fc7eca411e0d119bef22f38f594c2e41722d212c299d3f4f1
  CHECKSUM(SHA256) upstream package : 05ee76837955f78fc7eca411e0d119bef22f38f594c2e41722d212c299d3f4f1



Fine, package approved!

Comment 5 Ankur Sinha (FranciscoD) 2013-05-06 08:28:39 UTC
Yay! Thanks Matthias!

New Package SCM Request
=======================
Package Name: python-django-post_office
Short Description: Allows you to log email activities and send mail asynchronously, complete with template support
Owners: ankursinha
Branches: f17 f18 el6

Comment 6 Ankur Sinha (FranciscoD) 2013-05-06 08:29:18 UTC
New Package SCM Request
=======================
Package Name: python-django-post_office
Short Description: Allows you to log email activities and send mail asynchronously, complete with template support
Owners: ankursinha
Branches: f17 f18 f19 el6

Comment 7 Gwyn Ciesla 2013-05-06 12:39:39 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2013-05-06 23:37:37 UTC
python-django-post_office-0.3.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-django-post_office-0.3.1-2.fc18

Comment 9 Fedora Update System 2013-05-06 23:37:46 UTC
python-django-post_office-0.3.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-django-post_office-0.3.1-2.fc19

Comment 10 Fedora Update System 2013-05-06 23:37:56 UTC
python-django-post_office-0.3.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-django-post_office-0.3.1-3.fc17

Comment 11 Fedora Update System 2013-05-07 20:46:49 UTC
python-django-post_office-0.3.1-2.fc19 has been pushed to the Fedora 19 testing repository.

Comment 12 Fedora Update System 2013-05-21 08:35:59 UTC
python-django-post_office-0.3.1-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 13 Fedora Update System 2013-05-21 08:36:21 UTC
python-django-post_office-0.3.1-3.fc17 has been pushed to the Fedora 17 stable repository.

Comment 14 Fedora Update System 2013-05-24 20:39:51 UTC
python-django-post_office-0.3.1-2.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.